{% extends 'base.html.twig' %}

{% block title %}Liste Utilisateur{% endblock %}

{% block body %}

    <div class="box">
        <div class="box-header">
            <h3 class="box-title"> Information Profil</h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>

                    <th>Login</th>
                    <th>Prenom</th>
                    <th>Nom</th>
                    <th>departement</th>

                </tr>
                </thead>
                <tbody>

                <tr>

                    <td>{{ app.user.username }}</td>
                    <td>{{ app.user.firstname }}</td>
                    <td>{{ app.user.lastname }}</td>
                    <td>{{ app.user.departement }}</td>

                </tr>

                </tbody>
            </table>

            <td><a href="{{ path('profile_edit') }}">
                    <button class="btn btn-success">Modifier Mot de Passe</button>
                </a>
            </td>

            {#<td>
                <a>
                    <button class="btn btn-success btn_edit_user"
                            url="{{ path('profile_edit', {'id':app.user.id}) }}"><span
                                class="glyphicon glyphicon-pencil"></span>
                    </button>
                </a>
            </td>#}

        </div>
    </div>
    <div class="modal fade" id="modalUser" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header text-center">
                    <h4 class="modal-title w-100 font-weight-bold titre_modal_user"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="text-center">
                        <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                    </div>
                    <div class="content_modal_body">
                    </div>
                </div>
                <div class="modal-footer">

                </div>
            </div>
        </div>
    </div>

{% endblock %}
{% block mesJavascripts %}

    <script>

        $('body').on('click', '.btn_edit_user', function (event) {
            $('#modalUser').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_user').html('Modifier mot de passe utilisateur');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });


        $('body').on('click', '.edit_user', function (event) {

            var form = $('#form_add_user');
            var formData = new FormData(document.getElementById("form_add_user"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_user').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalUser').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });


    </script>

{% endblock %}